Fiest Developers

Find orders

Returns newest-first order summaries. Exact order_id lookup and cursor browsing may search all history; partial or operational filters require an inclusive date range of at…

GET/v1/restaurants/{restaurantId}/orders

Returns newest-first order summaries. Exact order_id lookup and cursor browsing may search all history; partial or operational filters require an inclusive date range of at most 31 days. order_id and line identifiers are opaque and non-sequential.

Quick request

curl -X GET "https://example.com/v1/restaurants/11111111-1111-4111-8111-111111111111/orders" \  -H "Authorization: Bearer $FIEST_ACCESS_TOKEN"
{  "data": {    "restaurantId": "11111111-1111-4111-8111-111111111111",    "searchScope": "date_range",    "period": {      "startDate": "2026-07-15",      "endDate": "2026-07-15",      "timeZone": "Europe/Helsinki",      "dayStartHour": 4    },    "currency": "EUR",    "matches": [      {        "orderId": "fiest-50b6d34f-bc6e-4248-b3d6-839b3dda31a1",        "receiptHash": "fiest-50b6d34f-bc6e-4248-b3d6-839b3dda31a1",        "restaurantOrderNumber": 1042,        "occurredAt": "2026-07-15T10:42:00.000Z",        "businessDate": "2026-07-15",        "orderType": "dine_in",        "tableNumber": 12,        "status": "paid",        "paymentMethod": "card",        "orderOrigin": {          "kind": "fiest",          "provider": null        },        "originalAmountMinor": 1350,        "totalAmountMinor": 1350,        "vatMinor": 161,        "refundAmountMinor": 0,        "discountAmountMinor": 0,        "items": [          {            "lineId": "7fbb7bd1-661c-4a1e-9748-acde61280973",            "catalogItemId": "67fb6fb2-0f46-455b-934e-25707b77be08",            "catalogItemKind": "menu_item",            "catalogCategoryId": "af16a392-f8a1-47b4-849f-4d707001e9b1",            "menuId": "43f64da8-4ec2-4900-b137-1c0927c975d2",            "name": "Margherita",            "category": "Pizza",            "itemType": "food",            "quantity": 1,            "unitPriceMinor": 1350,            "originalUnitPriceMinor": null,            "grossAmountMinor": 1350,            "discountAmountMinor": 0,            "vatAmountMinor": 161,            "taxEvidence": "snapshot",            "taxCountryCode": "FI",            "taxRatesAsOf": "2026-07-15",            "vatRates": [              {                "category": "reduced",                "rateBps": 1350,                "vatAmountMinor": 161              }            ],            "selectedOptions": [              {                "optionId": "5378e830-a342-4f45-8793-f3eef0a3b063",                "optionGroupId": "437e9ca5-8daf-411a-b371-0bedb5ecb263",                "name": "Extra cheese",                "quantity": 1,                "unitPriceMinor": 100,                "grossAmountMinor": 100,                "vatAmountMinor": 12              }            ]          }        ],        "itemsTruncated": false      }    ],    "truncated": false,    "nextCursor": null  }}

Authorization

fiestOAuth fiest.restaurant.read, fiest.orders.read
AuthorizationBearer <token>

OAuth 2.1 authorization code with PKCE. Partner clients and redirect URIs must be approved by Fiest before use.

In: header

Scope: fiest.restaurant.read, fiest.orders.read

Path Parameters

restaurantId*string

A restaurant identifier returned by the authorized restaurant list.

Formatuuid

Query Parameters

start_date?string
Formatdate
end_date?string
Formatdate
order_id?string
Lengthlength <= 255
receipt_reference?string
Lengthlength <= 255
restaurant_order_number?integer
Range1 <= value
item_name?string
Lengthlength <= 100
payment_method?string

Effective settlement method. Manually recorded marketplace settlements use their marketplace key, such as wolt, rather than manual.

status?string
Default"any"

Value in

  • "any"
  • "paid"
  • "partially_refunded"
  • "refunded"
  • "voided"
min_total_minor?integer
Range0 <= value
max_total_minor?integer
Range0 <= value
start_time?string
Match^([01]\d|2[0-3]):[0-5]\d$
end_time?string
Match^([01]\d|2[0-3]):[0-5]\d$
cursor?string
Lengthlength <= 1024
limit?integer
Range1 <= value <= 20
Default10

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json